import ReduceCapacityIcon from "@mui/icons-material/ReduceCapacity";
import EggIcon from "@mui/icons-material/Egg";
import FactoryIcon from "@mui/icons-material/Factory";
import HdrStrongIcon from "@mui/icons-material/HdrStrong";
import VaccinesIcon from "@mui/icons-material/Vaccines";
import StoreIcon from "@mui/icons-material/Store";
import RemoveRedEyeIcon from "@mui/icons-material/RemoveRedEye";
import SupportIcon from "@mui/icons-material/Support";
import WindowIcon from "@mui/icons-material/Window";
import PaymentIcon from "@mui/icons-material/Payment";
import AnimationIcon from "@mui/icons-material/Animation";
import CoPresentIcon from "@mui/icons-material/CoPresent";
import Diversity3Icon from "@mui/icons-material/Diversity3";
import BrightnessLowIcon from "@mui/icons-material/BrightnessLow";
import MedicalInformationIcon from "@mui/icons-material/MedicalInformation";
import MonetizationOnIcon from "@mui/icons-material/MonetizationOn";
import PolicyIcon from "@mui/icons-material/Policy";
import LocalTaxiIcon from "@mui/icons-material/LocalTaxi";
import AdminPanelSettingsIcon from "@mui/icons-material/AdminPanelSettings";
import AgricultureIcon from "@mui/icons-material/Agriculture";
import StorefrontIcon from "@mui/icons-material/Storefront";
import CurrencyExchangeIcon from "@mui/icons-material/CurrencyExchange";
import LocalAtmIcon from "@mui/icons-material/LocalAtm";
import PreviewIcon from "@mui/icons-material/Preview";
import DomainIcon from "@mui/icons-material/Domain";
import AcUnitIcon from "@mui/icons-material/AcUnit";
import FoodBankIcon from "@mui/icons-material/FoodBank";
import { CorporateFare } from "@mui/icons-material";
import HowToRegIcon from "@mui/icons-material/HowToReg";

export function getIconUserRole(role) {
  switch (role) {
    case "Admin":
      return <AdminPanelSettingsIcon />;
    case "CityOperator":
      return <BrightnessLowIcon />;
    case "Poultry":
      return <EggIcon />;
    case "ProvinceOperator":
      return <Diversity3Icon />;
    case "ProvinceFinancial":
      return <MonetizationOnIcon />;
    case "KillHouse":
      return <FactoryIcon />;
    case "KillHouseVet":
      return <VaccinesIcon />;
    case "VetFarm":
      return <MedicalInformationIcon />;
    case "Driver":
      return <LocalTaxiIcon />;
    case "ProvinceInspector":
      return <PolicyIcon />;
    case "VetSupervisor":
      return <MedicalInformationIcon />;
    case "Jahad":
      return <AgricultureIcon />;
    case "CityJahad":
      return <AgricultureIcon />;
    case "ProvincialGovernment":
      return <ReduceCapacityIcon />;
    case "Guilds":
      return <StorefrontIcon />;
    case "Steward":
      return <StoreIcon />;
    case "Commerce":
      return <CurrencyExchangeIcon />;
    case "CityCommerce":
      return <LocalAtmIcon />;
    case "UnitWindow":
      return <WindowIcon />;
    case "CityVet":
      return <MedicalInformationIcon />;
    case "Observatory":
      return <PreviewIcon />;
    case "ProvinceSupervisor":
      return <RemoveRedEyeIcon />;
    case "GuildRoom":
      return <StorefrontIcon />;
    case "PosCompany":
      return <PaymentIcon />;
    case "LiveStockSupport":
      return <SupportIcon />;
    case "SuperAdmin":
      return <AdminPanelSettingsIcon />;
    case "AdminX":
      return <AdminPanelSettingsIcon />;
    case "ChainCompany":
      return <AnimationIcon />;
    case "Supporter":
      return <SupportIcon />;
    case "Dispenser":
      return <CoPresentIcon />;
    case "CityPoultry":
      return <AgricultureIcon />;
    case "ParentCompany":
      return <DomainIcon />;
    case "ColdHouseSteward":
      return <AcUnitIcon />;
    case "CityGuild":
      return <FoodBankIcon />;
    case "LiveStockProvinceJahad":
      return <CorporateFare />;
    case "Union":
      return <BrightnessLowIcon />;
    case "Cooperative":
      return <BrightnessLowIcon />;
    case "ranRanchercher":
      return <AgricultureIcon />;
    case "PoultryScience":
      return <HowToRegIcon />;
    default:
      return <HdrStrongIcon />;
  }
}
